Page MenuHomePhabricator

Regression: Changes to email blacklist or muted users do not activate Save button in Preferences
Closed, ResolvedPublic

Description

The Save button in Special:Preferences is supposed to only be greyed out until you change something. It remains greyed out if you only change the email blacklist at "Prohibit these users from emailing me" under "User profile", or the muted users at "Do not display notifications from these users" under "Notifications".

The Save button works if you also change another preference, but returns to greyed out if you change the other preference back before saving.
Tested in Firefox, Chrome and Edge at the English Wikipedia in Vector and MonoBook.
It was reported at https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=836235277#Unable_to_edit_Preferences

Related Objects

StatusAssignedTask
Resolvedmatmarex
Resolveddbarratt
Resolved jmatazzoni
Resolveddbarratt
ResolvedCatrope
DuplicateNone
Resolved Mattflaschen-WMF
ResolvedTBolliger
ResolvedTBolliger
ResolvedNone
ResolvedTBolliger
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
ResolvedJohan
OpenNone
ResolvedMooeypoo

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2018, 12:30 PM
Xaosflux triaged this task as Normal priority.Apr 13 2018, 12:53 PM
Xaosflux added a project: Notifications.
Xaosflux added a subscriber: Xaosflux.

Some keywords for searches:
echo-pref-notifications-blacklist does not activate saveprefs

Restricted Application added a subscriber: MGChecker. · View Herald TranscriptApr 13 2018, 2:24 PM
Xaosflux renamed this task from Changes to email blacklist or muted users do not activate Save button in Preferences to Regression: Changes to email blacklist or muted users do not activate Save button in Preferences.Apr 13 2018, 2:25 PM

Hmm, weird. We haven't touched this in a while. I wonder if it's related to Global Preferences and T190353? We should check with @Samwilson to make sure we don't make his project any more difficult.

Previous ticket: T173973

I don't think this is related to GlobalPreferences. The closest current issue is T190902: Usernames remain disabled when enabling local exception for email-blacklist, so I wonder if there are just some peculiarities about that widget.

Change 426835 had a related patch set uploaded (by GeoffreyT2000; owner: GeoffreyT2000):
[mediawiki/core@master] Revert "Special:Preference: Check for changes before enabling Save button"

https://gerrit.wikimedia.org/r/426835

Change 427105 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] mw.special.preferences.confirmClose: Handle textareas

https://gerrit.wikimedia.org/r/427105

Change 427106 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] mw.widgets.UsersMultiselectWidget: Compat with mw.special.preferences.confirmClose

https://gerrit.wikimedia.org/r/427106

These patches should also resolve the issue, but if no one is able to review them soon, you should merge and backport the revert instead.

Change 427105 merged by jenkins-bot:
[mediawiki/core@master] mw.special.preferences.confirmClose: Handle textareas

https://gerrit.wikimedia.org/r/427105

Change 427106 merged by jenkins-bot:
[mediawiki/core@master] mw.widgets.UsersMultiselectWidget: Compat with mw.special.preferences.confirmClose

https://gerrit.wikimedia.org/r/427106

Change 426835 abandoned by Bartosz Dziewoński:
Revert "Special:Preference: Check for changes before enabling Save button"

Reason:
No longer needed.

https://gerrit.wikimedia.org/r/426835

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Confirmed fixed in Beta Cluster.

matmarex closed this task as Resolved.Apr 17 2018, 4:35 PM
matmarex claimed this task.

This change should be deployed to Wikimedia wikis this week, reaching English Wikipedia on Thursday, per the usual release schedule.

Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 19 2018, 9:47 PM